div {
    height: 150px;
    width: 250px;
    border: solid 5px;
}

.div-pos-1 {
    background-color: brown;
    /* float: left; */
    height: 200px;
    display: inline;
    /* display: inline-block; */
}

.div-pos-2 {
    background-color: yellowgreen;
    /* float: left; */
    height: 250px;
    display: inline-block;

}

.div-pos-3 {
    background-color: royalblue;
    /* float: left; */
    width: 350px;
    display: inline-block;
}

.t-1 {
    border: solid 5px red;
    display: block;
}
